> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a comment by id

> Update a comment by id



## OpenAPI

````yaml PUT /discussion/v1/comments/{commentId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /discussion/v1/comments/{commentId}:
    put:
      tags:
        - Comments
      summary: Update a comment by id
      description: Update a comment by id
      operationId: UpdateCommentByID
      parameters:
        - in: path
          name: commentId
          description: Comment ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Comment object that needs to be updated
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                comment:
                  type: string
                  example: new comment
              required:
                - comment
      responses:
        '204':
          description: No Content
          content: {}
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````